public extension MicItem {
  static func shouldResetActivity(_ c: MicItemContext) -> Bool? {
    if
      c.activityDate.isRecent,
      let end = c.activityDate.value,
      let now = Date()
    {
      return now < end
    }

    return nil
  }
}
